Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom
Class AbstractStylableDocument

    java.lang.Object
      org.apache.batik.dom.AbstractNode
          org.apache.batik.dom.AbstractParentNode
              org.apache.batik.dom.AbstractDocument
                  org.apache.batik.dom.AbstractStylableDocument

All Implemented Interfaces:
  Serializable, NodeEventTarget, ExtendedNode, NodeXBL, XBLManagerData, Localizable, DocumentCSS, Document, DocumentEvent, EventTarget, Node, DocumentStyle, DocumentTraversal, DocumentView, org.w3c.dom.xpath.XPathEvaluator

Direct Known Subclasses:
  SVGOMDocument

    public abstract class AbstractStylableDocument

extends AbstractDocument
implements DocumentCSS, DocumentView

A Document that supports CSS styling.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.batik.dom.AbstractDocument
`AbstractDocument.DocumentConfiguration, AbstractDocument.DocumentError, AbstractDocument.IdSoftRef, AbstractDocument.XPathExpr, AbstractDocument.XPathNodeNSResolver`

Nested classes/interfaces inherited from class org.apache.batik.dom.AbstractParentNode
`AbstractParentNode.ChildNodes, AbstractParentNode.ElementsByTagName, AbstractParentNode.ElementsByTagNameNS`

Field Summary
`protected CSSEngine` | `cssEngine` The CSS engine.
`protected AbstractView` | `defaultView` The default view.

Fields inherited from class org.apache.batik.dom.AbstractDocument
`documentEventSupport, documentURI, domConfig, elementsById, elementsByTagNames, elementsByTagNamesNS, eventsEnabled, implementation, inputEncoding, localizableSupport, RESOURCES, strictErrorChecking, traversalSupport, xblManager, xmlEncoding, xmlStandalone, xmlVersion`

Fields inherited from class org.apache.batik.dom.AbstractParentNode
`childNodes`

Fields inherited from class org.apache.batik.dom.AbstractNode
`DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, EMPTY_NODE_LIST, eventSupport, managerData, ownerDocument, userData, userDataHandlers`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`protected` | `AbstractStylableDocument()`
`protected` | `AbstractStylableDocument(DocumentType dt, DOMImplementation impl)` Creates a new document.

Method Summary
`void` | `clearViewCSS()` Clears the view CSS.
`CSSEngine` | `getCSSEngine()` Returns the CSS engine.
`AbstractView` | `getDefaultView()` DOM: Implements `DocumentView.getDefaultView()`.
`CSSStyleDeclaration` | `getOverrideStyle(Element elt, String pseudoElt)` DOM: Implements `DocumentCSS.getOverrideStyle(Element,String)`.
`StyleSheetList` | `getStyleSheets()` DOM: Implements `DocumentStyle.getStyleSheets()`.
`void` | `setCSSEngine(CSSEngine ctx)` Sets the CSS engine.

Methods inherited from class org.apache.batik.dom.AbstractDocument
`addIdEntry, adoptNode, adoptNode1, canDispatch, checkChars, checkChildType, checkName, cloneNode, copyInto, createDOMError, createEvent, createExpression, createNodeIterator, createNSResolver, createTreeWalker, createXPathException, deepCopyInto, deepExport, detachNodeIterator, evaluate, export, formatMessage, getChildElementById, getCurrentDocument, getDoctype, getDocumentElement, getDocumentURI, getDomConfig, getElementById, getElementsByTagName, getElementsByTagNameNS, getEventsEnabled, getImplementation, getInputEncoding, getLocale, getNodeName, getNodeType, getRoot, getStrictErrorChecking, getXblBoundElement, getXblChildNodes, getXblDefinitions, getXblFirstChild, getXblFirstElementChild, getXblLastChild, getXblLastElementChild, getXBLManager, getXblNextElementSibling, getXblNextSibling, getXblParentNode, getXblPreviousElementSibling, getXblPreviousSibling, getXblScopedChildNodes, getXblShadowTree, getXmlEncoding, getXmlStandalone, getXmlVersion, importNode, importNode, isId, nodeToBeRemoved, normalizeDocument, normalizeDocument, putElementsByTagName, putElementsByTagNameNS, removeIdEntry, renameNode, setDoctype, setDocumentInputEncoding, setDocumentURI, setDocumentXmlEncoding, setEventsEnabled, setLocale, setStrictErrorChecking, setTextContent, setXBLManager, setXmlStandalone, setXmlVersion, splitCdata, updateIdEntry`

Methods inherited from class org.apache.batik.dom.AbstractParentNode
`appendChild, checkAndRemove, deepExport, fireDOMNodeInsertedEvent, fireDOMNodeInsertedIntoDocumentEvent, fireDOMNodeRemovedEvent, fireDOMNodeRemovedFromDocumentEvent, fireDOMSubtreeModifiedEvent, getChildNodes, getElementsByTagName, getElementsByTagNameNS, getFirstChild, getLastChild, getTextContent, hasChildNodes, insertBefore, nodeAdded, normalize, removeChild, replaceChild`

Methods inherited from class org.apache.batik.dom.AbstractNode
`addEventListener, addEventListenerNS, compareDocumentPosition, compareNamedNodeMaps, compareStrings, createDOMException, dispatchEvent, export, fireDOMCharacterDataModifiedEvent, fireUserDataHandlers, getAttributes, getBaseURI, getBaseURI, getCascadedXMLBase, getEventSupport, getFeature, getLocalName, getManagerData, getNamespaceURI, getNextSibling, getNodeValue, getOwnerDocument, getParentNode, getParentNodeEventTarget, getPrefix, getPreviousSibling, getUserData, hasAttributes, hasEventListenerNS, initializeEventSupport, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespacePrefix, lookupNamespaceURI, lookupPrefix, newNode, removeEventListener, removeEventListenerNS, setManagerData, setNextSibling, setNodeName, setNodeValue, setOwnerDocument, setParentNode, setPrefix, setPreviousSibling, setSpecified, setUserData, willTriggerNS`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Document
`createAttribute, createAttributeNS, createCDATASection, createComment, createDocumentFragment, createElement, createElementNS, createEntityReference, createProcessingInstruction, createTextNode, getElementsByTagName, getElementsByTagNameNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setUserData`

Methods inherited from interface org.apache.batik.dom.ExtendedNode
`isReadonly, setReadonly`

Field Detail

### defaultView

    protected transient AbstractView defaultView

  The default view.

### cssEngine

    protected transient CSSEngine cssEngine

  The CSS engine.

Constructor Detail

### AbstractStylableDocument

    protected AbstractStylableDocument()

### AbstractStylableDocument

    protected AbstractStylableDocument(DocumentType dt,
                                       DOMImplementation impl)

  Creates a new document.

Method Detail

### setCSSEngine

    public void setCSSEngine(CSSEngine ctx)

  Sets the CSS engine.

### getCSSEngine

    public CSSEngine getCSSEngine()

  Returns the CSS engine.

### getStyleSheets

    public StyleSheetList getStyleSheets()

  DOM: Implements `DocumentStyle.getStyleSheets()`.

  Specified by:
    `getStyleSheets` in interface `DocumentStyle`

### getDefaultView

    public AbstractView getDefaultView()

  DOM: Implements `DocumentView.getDefaultView()`.

  Specified by:
    `getDefaultView` in interface `DocumentView`
  Returns:
    a ViewCSS object.

### clearViewCSS

    public void clearViewCSS()

  Clears the view CSS.

### getOverrideStyle

    public CSSStyleDeclaration getOverrideStyle(Element elt,
                                                String pseudoElt)

  DOM: Implements `DocumentCSS.getOverrideStyle(Element,String)`.

  Specified by:
    `getOverrideStyle` in interface `DocumentCSS`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.